Subject: Problem compiling pine on Solaris 2.3

From: Bruce Mahfood <[email-masked]>
Date: Sat, 30 Apr 1994 12:02:10 -0400 (EDT)

I have successfully ported pine to HP-UX 8.0 on an HP 400 box, and SunOS 4.1.2
on a SUN 630mp.  I am now trying to port to Solaris 2.3, but have received the
errors shown below my signature.  If anyone could help me figure out what I
should do next (not being a programmer, but having some C knowledge) I would be
very grateful.

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!  Bruce Mahfood   [email-masked]   !                                       !
!  Cambridge Technology Partners   !    "A job ain't nothing but work"     !
!  304 Vassar St.                  !                       Mo Money        !
!  Cambridge, MA 02139             !                                       !
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Script started on Sat Apr 30 11:47:12 1994manilla:.../src/pine3.89# build sol
build: not found
manilla:.../src/pine3.89# ./build sol
make args are "CC=cc"

Making c-client library and mtest
rm -f osdep.h
ln os_sv4.h osdep.h
cc -g -Dconst=  -c  mtest.c
cc -g -Dconst=  -c  mail.c
"mail.c", line 1142: warning: semantics of "<" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  bezerk.c
"bezerk.c", line 1055: warning: argument #1 is incompatible with prototype:
	prototype: pointer to long : "/usr/include/time.h", line 68
	argument : pointer to ulong
"bezerk.c", line 2265: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  tenex2.c
"tenex2.c", line 1966: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  mbox.c
cc -g -Dconst=  -c  mh.c
"mh.c", line 1355: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  imap2.c
cc -g -Dconst=  -c  news.c
"news.c", line 1550: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  nntpclient.c
"nntpclient.c", line 1524: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  phile.c
"phile.c", line 1256: warning: semantics of ">" change in ANSI C; use explicit cast
cc -g -Dconst=  -c  dummy.c
cc -g -Dconst=  -c  smtp.c
cc -g -Dconst=  -c  nntp.c
cc -g -Dconst=  -c  rfc822.c
cc -g -Dconst=  -c  misc.c
cc -g -Dconst= -DRSH=\"rsh\" -DRSHPATH=\"/usr/bin/rsh\" -c os_sv4.c
"os_sv4.c", line 294: warning: semantics of "<" change in ANSI C; use explicit cast
mv os_sv4.o osdep.o
cc -g -Dconst=  -c  sm_unix.c
rm -f c-client.a
ar rc c-client.a mail.o bezerk.o tenex2.o mbox.o mh.o imap2.o news.o \
nntpclient.o phile.o dummy.o smtp.o nntp.o rfc822.o misc.o osdep.o \
sm_unix.o
echo -g -Dconst= > CFLAGS
echo -lsocket -lnsl -lgen > LDFLAGS
cc -g -Dconst= -o mtest mtest.o c-client.a -lsocket -lnsl -lgen

Making Imapd
cd ../c-client;make
`mtest' is up to date.
cc -I../c-client `cat ../c-client/CFLAGS`  -c  imapd.c
"imapd.c", line 880: warning: semantics of ">" change in ANSI C; use explicit cast
cc -I../c-client `cat ../c-client/CFLAGS` -o imapd imapd.o ../c-client/c-client.a `cat ../c-client/LDFLAGS`

Making Pico
rm -f osdep.c
cp os_unix.c osdep.c
rm -f osdep.h
cp os_unix.h osdep.h
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O attach.c
"attach.c", line 246: warning: semantics of ">" change in ANSI C; use explicit cast
"attach.c", line 258: warning: semantics of ">" change in ANSI C; use explicit cast
"attach.c", line 271: warning: semantics of ">" change in ANSI C; use explicit cast
"attach.c", line 864: warning: semantics of ">" change in ANSI C; use explicit cast
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O ansi.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O basic.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O bind.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O browse.c
"browse.c", line 1572: warning: semantics of "/" change in ANSI C; use explicit cast
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O buffer.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O composer.c
"composer.c", line 690: warning: semantics of ">" change in ANSI C; use explicit cast
"composer.c", line 714: warning: semantics of ">" change in ANSI C; use explicit cast
"composer.c", line 963: warning: semantics of ">=" change in ANSI C; use explicit cast
"composer.c", line 1084: warning: semantics of ">=" change in ANSI C; use explicit cast
"composer.c", line 1233: warning: semantics of "<" change in ANSI C; use explicit cast
"composer.c", line 1380: warning: semantics of ">=" change in ANSI C; use explicit cast
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O display.c
"display.c", line 947: warning: semantics of ">" change in ANSI C; use explicit cast
"display.c", line 949: warning: semantics of ">=" change in ANSI C; use explicit cast
"display.c", line 960: warning: semantics of "/" change in ANSI C; use explicit cast
"display.c", line 974: warning: semantics of "/" change in ANSI C; use explicit cast
"display.c", line 998: warning: semantics of "<" change in ANSI C; use explicit cast
"display.c", line 1283: warning: semantics of ">=" change in ANSI C; use explicit cast
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O file.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O fileio.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O line.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O osdep.c
"osdep.c", line 1100: warning: semantics of ">" change in ANSI C; use explicit cast
"osdep.c", line 1125: warning: semantics of "<=" change in ANSI C; use explicit cast
"osdep.c", line 1503: warning: argument #2 is incompatible with prototype:
	prototype: pointer to function(int) returning void : "/usr/include/signal.h", line 64
	argument : pointer to function(void) returning void
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O pico.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O random.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O region.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O search.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O spell.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O tinfo.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O window.c
cc -c -Dsv4 -DPOSIX -DJOB_CONTROL -O word.c
ar ru libpico.a attach.o ansi.o basic.o bind.o browse.o buffer.o  composer.o display.o file.o fileio.o line.o osdep.o  pico.o random.o region.o search.o spell.o tinfo.o  window.o word.o
ar: creating libpico.a
true libpico.a
cc5.sol -Dsv4 -DPOSIX -DJOB_CONTROL main.c libpico.a -ltermlib -o pico
sh: cc5.sol: not found
*** Error code 1
make: Fatal error: Command failed for target `pico'

Making Pine.
rm -f os.h
ln -s osdep/os-sv4.h os.h
./cmplhlp2.sh  < pine.hlp > helptext.h
cc -DSV4   -g -DDEBUG  -c  addrbook.c
"/usr/include/unistd.h", line 171: identifier redeclared: rename
	current : function(pointer to char, pointer to char) returning int
	previous: function(pointer to const char, pointer to const char) returning int : "/usr/include/stdio.h", line 112
"addrbook.c", line 200: warning: semantics of ">" change in ANSI C; use explicit cast
"addrbook.c", line 204: warning: semantics of ">" change in ANSI C; use explicit cast
"addrbook.c", line 1349: cannot recover from previous errors
cc: acomp failed for addrbook.c
*** Error code 2
make: Fatal error: Command failed for target `addrbook.o'

Links to executables are in bin directory:
size: bin/pine: cannot open
bin/mtest: 384248 + 19976 + 1368 = 405592
bin/imapd: 375080 + 20368 + 9340 = 404788
size: bin/pico: cannot open
Done
manilla:.../src/pine3.89# ^D
script done on Sat Apr 30 11:51:32 1994
script done on Sat Apr 30 11:51:32 1994